MsWks4ZoneInternal::Frame Struct Reference documentation

MsWks4ZoneInternal::Frame Struct Reference

Internal: a frame ( position, type, ...). More...

## Public Types
enum | Type { Unknown = 0 , Header , Footer , Table , Object , Textbox }
| the type of the frame which can represent header, footer, textbox, ... More...

## Public Member Functions
| Frame ()
| constructor

## Public Attributes
Type | m_type
| the frame type
MWAWPosition | m_position
| the position of the frame in the document
MWAWEntry | m_pictId
| some frames are associated with a picture stored in this entry ( name + id)
std::string | m_error
| a string to store unparsed data

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &ft)
| operator<<

## Detailed Description

Internal: a frame ( position, type, ...).

## Member Enumeration Documentation

## ◆ Type

enum MsWks4ZoneInternal::Frame::Type

the type of the frame which can represent header, footer, textbox, ...

Enumerator
Unknown |
Header |
Footer |
Table |
Object |
Textbox |

## Constructor & Destructor Documentation

## ◆ Frame()

MsWks4ZoneInternal::Frame::Frame | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | ft )
| friend

operator<<

## Member Data Documentation

## ◆ m_error

std::string MsWks4ZoneInternal::Frame::m_error

a string to store unparsed data

Referenced by Frame(), operator<<, and MsWks4Zone::readFRAM().

## ◆ m_pictId

MWAWEntry MsWks4ZoneInternal::Frame::m_pictId

some frames are associated with a picture stored in this entry ( name + id)

Referenced by Frame(), operator<<, and MsWks4Zone::readFRAM().

## ◆ m_position

MWAWPosition MsWks4ZoneInternal::Frame::m_position

the position of the frame in the document

Referenced by Frame(), operator<<, and MsWks4Zone::readFRAM().

## ◆ m_type

Type MsWks4ZoneInternal::Frame::m_type

the frame type

Referenced by Frame(), operator<<, and MsWks4Zone::readFRAM().

The documentation for this struct was generated from the following file:

- MsWks4Zone.cxx